Organizations

Create Organization

post

Create a new organization for the current user.

Authorizations
AuthorizationstringRequired

Provide the token that is returned upon login

Body
namestring · min: 1 · max: 256Required

Organization's display name.

slugstring · min: 1 · max: 253Required

Organization's human-readable identifier.

Pattern: ^[a-zA-Z0-9-]+$
countryCodestring · iso3166-1Required

The country in which the organization operates.

Responses
post
/organizations

Get Organization

get

Get an organization by its ID.

Authorizations
AuthorizationstringRequired

Provide the token that is returned upon login

Path parameters
organizationIdstringRequired

The organization ID

Responses
chevron-right
200

OK

application/json

The organization record

idstring · uuidRequired

The organization's ID

namestring · min: 1 · max: 256Required

Organization's display name.

slugstringRequired

Human-readable identifier

avatarUrlstringOptional

URL to the organization avatar.

statusstring · enumRequired

Current status

Default: activePossible values:
statusReasonstringOptional

The reason for the organization's status (if any).

pendingMemberCountintegerOptional

How many members are pending to join the organization

activeMemberCountintegerRequired

How many members are active

ownerstring · uuidRequired

ID of the user that owns the organization

createdAtstring · date-timeRequired

When the organization was created

updatedAtstring · date-timeOptional

When the organization was last updated

verifiedboolean · nullableOptional
get
/organizations/{organizationId}

Update Organization

patch

Update an organization's properties.

Authorizations
AuthorizationstringRequired

Provide the token that is returned upon login

Path parameters
organizationIdstringRequired

The organization ID

Body
namestring · min: 1 · max: 256Optional

Organization's display name.

avatarUrlstringOptional

The url of the avatar displayed next to the org

statusstring · enum · nullableOptionalPossible values:
statusReasonstring · nullableOptional

The reason for the organization's status

ownerstring · uuidOptional

The organization's owner's ID

verifiedboolean · nullableOptional
Responses
chevron-right
200

OK

application/json

The organization record

idstring · uuidRequired

The organization's ID

namestring · min: 1 · max: 256Required

Organization's display name.

slugstringRequired

Human-readable identifier

avatarUrlstringOptional

URL to the organization avatar.

statusstring · enumRequired

Current status

Default: activePossible values:
statusReasonstringOptional

The reason for the organization's status (if any).

pendingMemberCountintegerOptional

How many members are pending to join the organization

activeMemberCountintegerRequired

How many members are active

ownerstring · uuidRequired

ID of the user that owns the organization

createdAtstring · date-timeRequired

When the organization was created

updatedAtstring · date-timeOptional

When the organization was last updated

verifiedboolean · nullableOptional
patch
/organizations/{organizationId}

Last updated

Was this helpful?